Bug 1357893 - Opening Red Hat Repositories link without an uploaded manifest provides the user with a dead link
Summary: Opening Red Hat Repositories link without an uploaded manifest provides the u...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite
Classification: Red Hat
Component: Repositories
Version: 6.2.0
Hardware: Unspecified
OS: Unspecified
medium
high
Target Milestone: Unspecified
Assignee: David Davis
QA Contact: Peter Ondrejka
URL:
Whiteboard:
: 1366189 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-07-19 13:52 UTC by Nenad Peric
Modified: 2019-09-26 16:18 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-02-21 16:51:07 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Foreman Issue Tracker 15803 Normal Closed Opening Red Hat Repositories link without an uploaded manifest provides the user with a dead link 2019-12-20 12:01:12 UTC

Description Nenad Peric 2016-07-19 13:52:00 UTC
Description of problem:

When the manifest has not yet been uploaded, Satellite is smart enough to inform the user about it. 
It even gives a "click here" link to rectify the situation, but unfortunately it is a dead link. 

Version-Release number of selected component (if applicable):
satellite-6.2.0-20.1.el7sat.noarch

How reproducible:
Everytime

Steps to Reproduce:
1. Do not upload a manifest
2. Click Content -> Red Hat Repositories
3. Click on "here" hyperlink

Actual results:

First the message with the hyperlink appears:

Enable Red Hat Repositories
No Red Hat products currently exist, please import a manifest _here_ to receive Red Hat content. 

A blank page is opened. (https://SATELLITE_HOST_URL/subscriptions)

Expected results:

This page should be the target:

https://SATELLITE_HOST_URL/subscriptions/manifest/import

Comment 2 Partha Aji 2016-07-22 20:20:34 UTC
Created redmine issue http://projects.theforeman.org/issues/15803 from this bug

Comment 3 Bryan Kearney 2016-08-03 20:16:47 UTC
Moving to POST since upstream bug http://projects.theforeman.org/issues/15803 has been closed

Comment 4 Walden Raines 2016-08-11 20:15:17 UTC
*** Bug 1366189 has been marked as a duplicate of this bug. ***

Comment 7 Peter Ondrejka 2016-12-05 10:34:05 UTC
Verified in Satellite 6.3 snap 7.

Comment 8 pm-sat@redhat.com 2018-02-21 16:51:07 UTC
Since the problem described in this bug report should be resolved in a recent advisory, it has been closed with a resolution of ERRATA.
> 
> For information on the advisory, and where to find the updated files, follow the link below.
> 
> If the solution does not work for you, open a new bug report.
> 
> https://access.redhat.com/errata/RHSA-2018:0336


Note You need to log in before you can comment on or make changes to this bug.